import request from '@/utils/request'
//换电信息
export function swapInfo(data) {
    return request({
      url: '/swap/swapInfo',
      method: 'post',
      data
    })
}
//换电记录
export function swapRecord(data) {
    return request({
      url: '/swap/swapRecord',
      method: 'post',
      data
    })
}
//告警记录
export function alarmRecord(data) {
    return request({
      url: '/swap/alarmRecord',
      method: 'post',
      data
    })
}
//已连接站控车辆列表
export function CarOnline(data){
  return request({
    url: '/vehicle/online',
    method: 'post',
    data
  })
}
//修改车牌号
export function EditPlate(data){
  return request({
    url: '/vehicle/editPlate',
    method: 'post',
    data
  })
}
//刷新车辆
export function refreshPlate(){
  return request({
    url: '/vehicle/refresh ',
    method: 'post',
  })
}
//车辆上锁
export function Updatelock(data){
  return request({
    url: '/vehicle/lock',
    method: 'post',
    data
  })
}
//车辆解锁
export function Updateunlock(data){
  return request({
    url: '/vehicle/unlock',
    method: 'post',
    data
  })
}
//锁止屏蔽
export function EditforbidLock(data){
  return request({
    url: '/vehicle/forbidLock',
    method: 'post',
    data
  })
}
//暂停恢复PLC
export function EditSwapplc(data){
  return request({
    url: '/swap/plc',
    method: 'post',
    data
  })
}
// 开始换电
export function beginSwap(data) {
  return request({
    url: '/swap/startSwap',
    method: 'post',
    data
  })
}
//设置选电模式(0自动、1手动)
export function setMode(data) {
  return request({
    url: '/swap/setMode',
    method: 'post',
    data
  })
}
//急停中止
export function plcStop(data) {
  return request({
    url: '/swap/plcStop',
    method: 'post',
    data
  })
}
//冻结、解冻
export function batteryfreeze(data) {
  return request({
    url: '/swap/freeze',
    method: 'post',
    data
  })
}
//普通换仓
export function RuleChangestorage(data) {
  return request({
    url: '/device/exchangeBattery',
    method: 'post',
    data
  })
}
//消防换仓
export function FireChangestorage(data) {
  return request({
    url: '/device/fireProtection',
    method: 'post',
    data
  })
}
//设备监控弹窗设置接口
export function getlimitPower(data) {
  return request({
    url: '/discharge/limitPower',
    method: 'post',
    data
  })
}
//切换仓内仓外
export function gettoggleChargeWay(data) {
  return request({
    url: '/discharge/toggleChargeWay',
    method: 'post',
    data
  })
}
//插枪充电
export function getgunStartCharge(data) {
  return request({
    url: '/discharge/gunStartCharge',
    method: 'post',
    data
  })
}
//停止插枪充电
export function getgunStopCharge(data) {
  return request({
    url: '/discharge/gunStopCharge',
    method: 'post',
    data
  })
}